SHARE
TWEET

Untitled

a guest Mar 26th, 2020 84 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. /var/log/leapp/leapp-report.json
  2.  
  3. {
  4.   "leapp_run_id": "852a05fc-25b2-44a6-9e07-8421e75bcd2d",
  5.   "entries": [
  6.     {
  7.       "hostname": "leapp-20200312144602",
  8.       "severity": "high",
  9.       "title": "Packages will not be installed",
  10.       "timeStamp": "2020-03-25T08:34:38.549865Z",
  11.       "tags": [
  12.         "repository"
  13.       ],
  14.       "detail": {
  15.         "related_resources": [
  16.           {
  17.             "scheme": "package",
  18.             "title": "libselinux-python3"
  19.           },
  20.           {
  21.             "scheme": "package",
  22.             "title": "postfix-cdb"
  23.           },
  24.           {
  25.             "scheme": "package",
  26.             "title": "postfix-pcre"
  27.           },
  28.           {
  29.             "scheme": "package",
  30.             "title": "postfix-sqlite"
  31.           }
  32.         ]
  33.       },
  34.       "actor": "pes_events_scanner",
  35.       "summary": "4 packages will not be installed or upgraded due to repositories unknown to leapp:\n- libselinux-python3\n- postfix-cdb\n- postfix-pcre\n- postfix-sqlite",
  36.       "audience": "sysadmin",
  37.       "id": "010f4108f201a827284664b91e222778edeb7d2e8b957fc24a99bd63f54e61bc"
  38.     },
  39.     {
  40.       "hostname": "leapp-20200312144602",
  41.       "severity": "high",
  42.       "title": "Packages will not be installed",
  43.       "timeStamp": "2020-03-25T08:34:38.561570Z",
  44.       "tags": [
  45.         "repository"
  46.       ],
  47.       "detail": {
  48.         "related_resources": [
  49.           {
  50.             "scheme": "package",
  51.             "title": "python3-pyxattr"
  52.           },
  53.           {
  54.             "scheme": "package",
  55.             "title": "rpcgen"
  56.           }
  57.         ]
  58.       },
  59.       "actor": "pes_events_scanner",
  60.       "summary": "2 packages will not be installed due to blacklisted repositories:\n- python3-pyxattr\n- rpcgen",
  61.       "audience": "sysadmin",
  62.       "id": "9874edb85084e09d98f3e9f823fb829591cd25719177592ad7b14dc33e28eebe"
  63.     },
  64.     {
  65.       "hostname": "leapp-20200312144602",
  66.       "severity": "low",
  67.       "title": "Dosfstools incompatible changes in the next major version",
  68.       "timeStamp": "2020-03-25T08:34:39.312811Z",
  69.       "tags": [
  70.         "filesystem",
  71.         "tools"
  72.       ],
  73.       "detail": {
  74.         "related_resources": [
  75.           {
  76.             "scheme": "package",
  77.             "title": "dosfstools"
  78.           }
  79.         ],
  80.         "remediations": [
  81.           {
  82.             "type": "hint",
  83.             "context": "Please update your scripts to be compatible with the changes."
  84.           }
  85.         ]
  86.       },
  87.       "actor": "checkdosfstools",
  88.       "summary": "The automatic alignment of data clusters that was added in 3.0.8 and broken for FAT32 starting with 3.0.20 has been reinstated. If you need to create file systems for finicky devices that have broken FAT implementations use the option -a to disable alignment.\nThe fsck.fat now defaults to interactive repair mode which previously had to be selected with the -r option.\n",
  89.       "audience": "sysadmin",
  90.       "id": "d5de324677b7be2c2319fcd60942aacb7fa3a903b4f02b81c3436a3feeee7afc"
  91.     },
  92.     {
  93.       "hostname": "leapp-20200312144602",
  94.       "severity": "low",
  95.       "title": "Grep has incompatible changes in the next major version",
  96.       "timeStamp": "2020-03-25T08:34:39.576900Z",
  97.       "tags": [
  98.         "tools"
  99.       ],
  100.       "detail": {
  101.         "related_resources": [
  102.           {
  103.             "scheme": "package",
  104.             "title": "grep"
  105.           }
  106.         ],
  107.         "remediations": [
  108.           {
  109.             "type": "hint",
  110.             "context": "Please update your scripts to be compatible with the changes."
  111.           }
  112.         ]
  113.       },
  114.       "actor": "checkgrep",
  115.       "summary": "If a file contains data improperly encoded for the current locale, and this is discovered before any of the file's contents are output, grep now treats the file as binary.\nThe 'grep -P' no longer reports an error and exits when given invalid UTF-8 data. Instead, it considers the data to be non-matching.\nIn locales with multibyte character encodings other than UTF-8, grep -P now reports an error and exits instead of misbehaving.\nWhen searching binary data, grep now may treat non-text bytes as line terminators. This can boost performance significantly.\nThe 'grep -z' no longer automatically treats the byte '\\200' as binary data.\nContext no longer excludes selected lines omitted because of -m. For example, 'grep \"^\" -m1 -A1' now outputs the first two input lines, not just the first line.\n",
  116.       "audience": "sysadmin",
  117.       "id": "81967705867a7d86b6eb94dea8e068a0dad87582e3f58a350ac65d8c67a0838d"
  118.     },
  119.     {
  120.       "hostname": "leapp-20200312144602",
  121.       "severity": "high",
  122.       "title": "GRUB core on /dev/vda will be updated during upgrade",
  123.       "timeStamp": "2020-03-25T08:34:39.852062Z",
  124.       "tags": [
  125.         "boot"
  126.       ],
  127.       "actor": "check_grub_core",
  128.       "summary": "On legacy (BIOS) systems, GRUB core (located in the gap between the MBR and the first partition) does not get automatically updated when GRUB is upgraded.",
  129.       "audience": "sysadmin",
  130.       "id": "39d5021562e140b8df36f60f2d59ecacfa0b19ead3b96be63c19a3cc6f2eff81"
  131.     },
  132.     {
  133.       "hostname": "leapp-20200312144602",
  134.       "severity": "high",
  135.       "title": "Packages not signed by Red Hat found in the system",
  136.       "timeStamp": "2020-03-25T08:34:40.248869Z",
  137.       "tags": [
  138.         "sanity"
  139.       ],
  140.       "detail": {
  141.         "related_resources": [
  142.           {
  143.             "scheme": "package",
  144.             "title": "leapp"
  145.           },
  146.           {
  147.             "scheme": "package",
  148.             "title": "leapp-deps"
  149.           },
  150.           {
  151.             "scheme": "package",
  152.             "title": "leapp-repository"
  153.           },
  154.           {
  155.             "scheme": "package",
  156.             "title": "leapp-repository-deps"
  157.           },
  158.           {
  159.             "scheme": "package",
  160.             "title": "python2-leapp"
  161.           },
  162.           {
  163.             "scheme": "package",
  164.             "title": "snactor"
  165.           }
  166.         ],
  167.         "remediations": [
  168.           {
  169.             "type": "command",
  170.             "context": [
  171.               "yum",
  172.               "-y",
  173.               "remove",
  174.               "leapp leapp-deps leapp-repository leapp-repository-deps python2-leapp snactor"
  175.             ]
  176.           }
  177.         ]
  178.       },
  179.       "actor": "red_hat_signed_rpm_check",
  180.       "summary": "The following packages have not been signed by Red Hat and may be removed in the upgrade process:\n- leapp\n- leapp-deps\n- leapp-repository\n- leapp-repository-deps\n- python2-leapp\n- snactor",
  181.       "audience": "sysadmin",
  182.       "id": "2bb3e7600a52358050d9d6d9cf3a0cdb6be27f273ad57633083ead2e80d1cab5"
  183.     },
  184.     {
  185.       "hostname": "leapp-20200312144602",
  186.       "severity": "medium",
  187.       "title": "Module pam_pkcs11 will be removed from PAM configuration",
  188.       "timeStamp": "2020-03-25T08:34:41.347416Z",
  189.       "tags": [
  190.         "authentication",
  191.         "security",
  192.         "tools"
  193.       ],
  194.       "detail": {
  195.         "related_resources": [
  196.           {
  197.             "scheme": "package",
  198.             "title": "sssd"
  199.           }
  200.         ],
  201.         "remediations": [
  202.           {
  203.             "type": "hint",
  204.             "context": "Configure SSSD to replace pam_pkcs11"
  205.           }
  206.         ]
  207.       },
  208.       "actor": "removed_pam_modules_check",
  209.       "summary": "Module pam_pkcs11 was surpassed by SSSD and therefore it was removed from RHEL-8. Keeping it in PAM configuration may lock out the system thus it will be automatically removed from PAM configuration before upgrading to RHEL-8. Please switch to SSSD to recover the functionality of pam_pkcs11.",
  210.       "audience": "sysadmin",
  211.       "id": "15792fb92fb06abff1b67e05bb294251208627e26c5aac9cfb6496c92f588273"
  212.     },
  213.     {
  214.       "hostname": "leapp-20200312144602",
  215.       "severity": "low",
  216.       "title": "Postfix has incompatible changes in the next major version",
  217.       "timeStamp": "2020-03-25T08:34:41.432591Z",
  218.       "tags": [
  219.         "services",
  220.         "email"
  221.       ],
  222.       "detail": {
  223.         "related_resources": [
  224.           {
  225.             "scheme": "package",
  226.             "title": "postfix"
  227.           }
  228.         ]
  229.       },
  230.       "actor": "check_postfix",
  231.       "summary": "Postfix 3.x has so called \"compatibility safety net\" that runs Postfix programs with backwards-compatible default settings. It will log a warning whenever backwards-compatible default setting may be required for continuity of service. Based on this logging the system administrator can decide if any backwards-compatible settings need to be made permanent in main.cf or master.cf, before turning off the backwards-compatibility safety net.\nThe backward compatibility safety net is by default turned off in Red Hat Enterprise Linux 8.\nIt can be turned on by running:  \"postconf -e compatibility_level=0\nIt can be turned off by running: \"postconf -e compatibility_level=2\n\nIn the Postfix MySQL database client, the default \"option_group\" value has changed to \"client\", i.e. it now reads options from the [client] group from the MySQL configuration file. To disable it, set \"option_group\" to the empty string.\n\nThe postqueue command no longer forces all message arrival times to be reported in UTC. To get the old behavior, set TZ=UTC in main.cf:import_environment.\n\nPostfix 3.2 enables elliptic curve negotiation. This changes the default smtpd_tls_eecdh_grade setting to \"auto\", and introduces a new parameter \"tls_eecdh_auto_curves\" with the names of curves that may be negotiated.\n\nThe \"master.cf\" chroot default value has changed from \"y\" (yes) to \"n\" (no). This applies to master.cf services where chroot field is not explicitly specified.\n\nThe \"append_dot_mydomain\" default value has changed from \"yes\" to \"no\". You may need changing it to \"yes\" if senders cannot use complete domain names in e-mail addresses.\n\nThe \"relay_domains\" default value has changed from \"$mydestination\" to the empty value. This could result in unexpected \"Relay access denied\" errors or ETRN errors, because now will postfix by default relay only for the localhost.\n\nThe \"mynetworks_style\" default value has changed from \"subnet\" to \"host\". This parameter is used to implement the \"permit_mynetworks\" feature. The change could result in unexpected \"access denied\" errors, because postfix will now by default trust only the local machine, not the remote SMTP clients on the same IP subnetwork.\n\nPostfix now supports dynamically loaded database plugins. Plugins are shipped in individual RPM sub-packages. Correct database plugins have to be installed, otherwise the specific database client will not work. For example for PostgreSQL map to work, the postfix-pgsql RPM package has to be installed.\n",
  232.       "audience": "sysadmin",
  233.       "id": "701c1956bccfa446aacb09369cb7f385b3be9bf419c112535e0d8beb711f39b0"
  234.     },
  235.     {
  236.       "hostname": "leapp-20200312144602",
  237.       "severity": "info",
  238.       "title": "SElinux relabeling has been scheduled",
  239.       "timeStamp": "2020-03-25T08:34:41.511918Z",
  240.       "tags": [
  241.         "selinux",
  242.         "security"
  243.       ],
  244.       "actor": "check_se_linux",
  245.       "summary": "SElinux relabeling has been scheduled as the status was permissive/enforcing.",
  246.       "audience": "sysadmin",
  247.       "id": "dcfe2d64e389cec1e4d291583c4548093dcc7559ce4272bf87d43438c049512f"
  248.     },
  249.     {
  250.       "hostname": "leapp-20200312144602",
  251.       "severity": "low",
  252.       "title": "SElinux will be set to permissive mode",
  253.       "timeStamp": "2020-03-25T08:34:41.529617Z",
  254.       "tags": [
  255.         "selinux",
  256.         "security"
  257.       ],
  258.       "actor": "check_se_linux",
  259.       "summary": "SElinux will be set to permissive mode. Current mode: enforcing. This action is required by the upgrade process",
  260.       "audience": "sysadmin",
  261.       "id": "e9b0d735225ee1cf07962c019db58eaf6a81a82db25b9eec2dfc2c41774088b6"
  262.     },
  263.     {
  264.       "hostname": "leapp-20200312144602",
  265.       "severity": "high",
  266.       "title": "Difference in Python versions and support in RHEL 8",
  267.       "timeStamp": "2020-03-25T08:34:41.700034Z",
  268.       "tags": [
  269.         "python"
  270.       ],
  271.       "detail": {
  272.         "related_resources": [
  273.           {
  274.             "scheme": "package",
  275.             "title": "python"
  276.           },
  277.           {
  278.             "scheme": "package",
  279.             "title": "python2"
  280.           },
  281.           {
  282.             "scheme": "package",
  283.             "title": "python3"
  284.           }
  285.         ],
  286.         "external": [
  287.           {
  288.             "url": "https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html-single/configuring_basic_system_settings/#using-python3",
  289.             "title": "Difference in Python versions and support in RHEL 8"
  290.           }
  291.         ],
  292.         "remediations": [
  293.           {
  294.             "type": "hint",
  295.             "context": "Please run \"alternatives --set python /usr/bin/python3\" after upgrade"
  296.           }
  297.         ]
  298.       },
  299.       "actor": "python_inform_user",
  300.       "summary": "In RHEL 8, there is no 'python' command. Python 3 (backward incompatible) is the primary Python version and Python 2 is available with limited support and limited set of packages. Read more here: https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html-single/configuring_basic_system_settings/#using-python3",
  301.       "audience": "developer",
  302.       "id": "41b0c092a7b020fec576138ac7d2f63bc2e8e9299790580596b4d48016a3e111"
  303.     },
  304.     {
  305.       "hostname": "leapp-20200312144602",
  306.       "severity": "high",
  307.       "title": "Upgrade is unsupported",
  308.       "timeStamp": "2020-03-25T08:34:41.847769Z",
  309.       "tags": [
  310.         "upgrade process",
  311.         "sanity"
  312.       ],
  313.       "actor": "unsupported_upgrade_check",
  314.       "summary": "Environment variable LEAPP_UNSUPPORTED has been detected. A successful and safe upgrade process cannot be guaranteed. From now on you are continuing at your own risk.\n",
  315.       "audience": "sysadmin",
  316.       "id": "9fbb80a9478522563ed347fbc1a671b524a83533b2430e20bc9666d678b6d038"
  317.     },
  318.     {
  319.       "hostname": "leapp-20200312144602",
  320.       "severity": "info",
  321.       "title": "Current PAM and nsswitch.conf configuration will be kept.",
  322.       "timeStamp": "2020-03-25T08:34:42.178751Z",
  323.       "tags": [
  324.         "authentication",
  325.         "security",
  326.         "tools"
  327.       ],
  328.       "detail": {
  329.         "related_resources": [
  330.           {
  331.             "scheme": "package",
  332.             "title": "authselect"
  333.           },
  334.           {
  335.             "scheme": "package",
  336.             "title": "authconfig"
  337.           },
  338.           {
  339.             "scheme": "file",
  340.             "title": "/etc/nsswitch.conf"
  341.           }
  342.         ]
  343.       },
  344.       "actor": "authselect_check",
  345.       "summary": "There is a new tool called authselect in RHEL8 that replaced authconfig. The upgrade process was unable to find an authselect profile that would be equivalent to your current configuration. Therefore your configuration will be left intact.",
  346.       "audience": "sysadmin",
  347.       "id": "b911d56e6d5d99bcb3821e2cd38e4fb3d1fe628ecbcc8bb252665060062895bc"
  348.     },
  349.     {
  350.       "hostname": "leapp-20200312144602",
  351.       "severity": "medium",
  352.       "title": "chrony using default configuration",
  353.       "timeStamp": "2020-03-25T08:34:42.982447Z",
  354.       "tags": [
  355.         "services",
  356.         "time management"
  357.       ],
  358.       "detail": {
  359.         "related_resources": [
  360.           {
  361.             "scheme": "package",
  362.             "title": "ntpd"
  363.           },
  364.           {
  365.             "scheme": "package",
  366.             "title": "chrony"
  367.           },
  368.           {
  369.             "scheme": "file",
  370.             "title": "/etc/chrony.conf"
  371.           }
  372.         ]
  373.       },
  374.       "actor": "check_chrony",
  375.       "summary": "default chrony configuration in RHEL8 uses leapsectz directive, which cannot be used with leap smearing NTP servers, and uses a single pool directive instead of four server directives",
  376.       "audience": "sysadmin",
  377.       "id": "2ae37ea7286757ac6c1f298699ea5f421d60b56fc1f950ee5c6a7074ae652cd3"
  378.     }
  379.   ]
  380. }
RAW Paste Data
We use cookies for various purposes including analytics. By continuing to use Pastebin, you agree to our use of cookies as described in the Cookies Policy. OK, I Understand
Top